Bug 177903 - [patch] mail/mutt/files/extra-patch-nodoc-contrib doesn't apply correctly
Summary: [patch] mail/mutt/files/extra-patch-nodoc-contrib doesn't apply correctly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-17 13:40 UTC by koukopoulos
Modified: 2013-04-24 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (606 bytes, patch)
2013-04-17 13:40 UTC, koukopoulos
no flags Details | Diff
mutt.diff (5.15 KB, patch)
2013-04-22 15:43 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koukopoulos 2013-04-17 13:40:00 UTC
The nodoc-contrib patch in the 1.5.21_2 mutt port doesn't apply correctly for me:

   $ make -d l patch
   [...]
   ===>  Applying FreeBSD patches for mutt-1.5.21_2
   /usr/bin/patch -d /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21 --forward --quiet -E -p0 -V simple --suffix .orig < /usr/ports/mail/mutt/files/extra-patch-smime-outlook
   /usr/bin/patch -d /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21 --forward --quiet -E -p0 -V simple --suffix .orig < /usr/ports/mail/mutt/files/extra-patch-aspell
   /usr/bin/patch -d /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21 --forward --quiet -E -p0 -V simple --suffix .orig -p1 < /usr/ports/mail/mutt/files/extra-patch-sidebar
   /usr/bin/patch -d /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21 --forward --quiet -E -p0 -V simple --suffix .orig -p1 < /usr/ports/mail/mutt/files/extra-patch-trash-purge
   /usr/bin/sed -i.bak -e 's,/usr/bin/gpg,/usr/local/bin/gpg,g'  /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21/contrib/gpg.rc
   /usr/bin/sed -i.bak -e 's,pgp6,pgp,g'  /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21/contrib/pgp6.rc
   /usr/bin/sed -i.bak -E -e 's|@samplesdir@|/usr/local/share/examples/mutt|g'  /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21/contrib/Makefile.am
   /usr/bin/patch -d /var/ports/usr/ports/mail/mutt/work/mutt-1.5.21 --forward --quiet -E -p0 -V simple --suffix .orig < /usr/ports/mail/mutt/files/extra-patch-nodoc-contrib
   1 out of 1 hunks failed--saving rejects to doc/Makefile.in.rej
   *** [post-patch] Error code 1
   
   Stop in /usr/ports/mail/mutt.
   *** [patch] Error code 1
   
   Stop in /usr/ports/mail/mutt.

 I have attached a patch that updates it so that it applies cleanly.

Fix: Apply the included patch.

Patch attached with submission follows:
How-To-Repeat: Configure the port accordingly and try to build:

   $ make config
   $ grep _SET /var/db/ports/mutt/options
   OPTIONS_FILE_SET+=GPGME
   OPTIONS_FILE_SET+=ICONV
   OPTIONS_FILE_SET+=IMAP_HEADER_CACHE
   OPTIONS_FILE_SET+=MAILBOX_MANPAGES
   OPTIONS_FILE_SET+=SASL
   OPTIONS_FILE_SET+=SIDEBAR_PATCH
   OPTIONS_FILE_SET+=SMIME_OUTLOOK_COMPAT
   OPTIONS_FILE_SET+=SMTP
   OPTIONS_FILE_SET+=TRASH_PATCH
   OPTIONS_FILE_SET+=SLANG
   OPTIONS_FILE_SET+=ASPELL
   $ cd /usr/ports/mail/mutt ; make patch
Comment 1 Edwin Groothuis freebsd_committer 2013-04-17 13:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-17 13:40:16 UTC
Maintainer of mail/mutt,

Please note that PR ports/177903 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177903

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-04-17 13:40:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Udo.Schweigert 2013-04-22 15:43:28 UTC
The problem was with the NOPORTDOCS option which had been broken.

Applied patch solves that and also fixes a problem with the GSSAPI option.
Please note that the file files/extra-patch-nodoc-mailbox-contrib is new has
to be added to the repo.


Udo

On Wed, Apr 17, 2013 at 12:40:16 +0000, Edwin Groothuis wrote:
> Maintainer of mail/mutt,
> 
> Please note that PR ports/177903 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177903
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
> 
Comment 5 Jason Helfman freebsd_committer 2013-04-24 18:33:40 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2013-04-24 18:33:45 UTC
Author: jgh
Date: Wed Apr 24 17:33:29 2013
New Revision: 316457
URL: http://svnweb.freebsd.org/changeset/ports/316457

Log:
  - fix NOPORTDOCS
  - add GSSAPI option
  - while here adopt uses for GETTEXT
  
  PR:		177903
  Submitted by:	koukopoulos@gmail.com, Udo.Schweigert@siemens.com
  Approved by:	maintainer, Udo.Schweigert@siemens.com

Added:
  head/mail/mutt/files/extra-patch-nodoc-mailbox-contrib   (contents, props changed)
Modified:
  head/mail/mutt/Makefile   (contents, props changed)
  head/mail/mutt/files/extra-patch-nodoc-contrib   (contents, props changed)

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Wed Apr 24 17:28:01 2013	(r316456)
+++ head/mail/mutt/Makefile	Wed Apr 24 17:33:29 2013	(r316457)
@@ -9,7 +9,7 @@
 
 PORTNAME=	mutt
 PORTVERSION=	1.5.21
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES+=	mail ipv6
 MASTER_SITES=	ftp://ftp.mutt.org/mutt/devel/ \
 		ftp://ftp.fu-berlin.de/pub/unix/mail/mutt/devel/ \
@@ -60,7 +60,7 @@ LITE=	YES
 .endif
 .if !defined (LITE)
 OPTIONS_DEFINE=	COMPRESSED_FOLDERS SASL DEBUG FLOCK \
-		GPGME GREETING_PATCH HTML ICONV IDN IFDEF_PATCH \
+		GPGME GREETING_PATCH GSSAPI HTML ICONV IDN IFDEF_PATCH \
 		IMAP_HEADER_CACHE LOCALES_FIX MAILBOX_MANPAGES \
 		MAILDIR_HEADER_CACHE MAILDIR_MTIME_PATCH \
 		NNTP PARENT_CHILD_MATCH_PATCH \
@@ -79,6 +79,7 @@ DEBUG_DESC=	Debugging capabilities
 FLOCK_DESC=	flock() usage
 GPGME_DESC=	Gpgme interface
 GREETING_PATCH_DESC=	Greeting support
+GSSAPI_DESC=	Use the gss API
 HTML_DESC=	HTML documentation
 IFDEF_PATCH_DESC=	ifdef feature
 IMAP_HEADER_CACHE_DESC=	IMAP header cache
@@ -176,7 +177,7 @@ XML_USED=	no
 .endif
 
 .if ${PORT_OPTIONS:MNLS}
-USE_GETTEXT=	yes
+USES+=	gettext
 SCRIPTS_ENV+=	NLS="yes"
 .else
 CONFIGURE_ARGS+=	--disable-nls
@@ -412,16 +413,28 @@ SCRIPTS_ENV+=	SIDEBAR_PATCH="yes"
 SCRIPTS_ENV+=	IFDEF_PATCH="yes"
 .endif
 
+.if ${PORT_OPTIONS:MREVERSE_REPLY_PATCH}
+SCRIPTS_ENV+=	REVERSE_REPLY_PATCH="yes"
+.endif
+
+.if defined (XML_NEEDED) && ${PORT_OPTIONS:MXML}
+XML_USED=	yes
+.endif
 .if ${PORT_OPTIONS:MHTML}
-SCRIPTS_ENV+=	HTML="yes"
+XML_USED=	yes
 .endif
 
-.if ${PORT_OPTIONS:MREVERSE_REPLY_PATCH}
-SCRIPTS_ENV+=	REVERSE_REPLY_PATCH="yes"
+.if ${PORT_OPTIONS:MDOCS} || ${XML_USED} == yes
+INSTALL_DOCS=	yes
+.else
+INSTALL_DOCS=	no
 .endif
 
-.if ${PORT_OPTIONS:MDOCS}
+.if ${INSTALL_DOCS} == yes
 SCRIPTS_ENV+=	PORTDOCS="yes"
+.if ${PORT_OPTIONS:MHTML}
+SCRIPTS_ENV+=	HTML="yes"
+.endif
 post-build:
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-ref
 	@${REINPLACE_CMD} -E -e 's|\$$\{PREFIX\}|${PREFIX}|g' \
@@ -432,17 +445,14 @@ post-build:
 		-e 's|\$$\{DOCSDIR\}|${DOCSDIR}|g' \
 		-e 's|\$$\{EXAMPLESDIR\}|${EXAMPLESDIR}|g' \
 		${WRKSRC}/doc/muttrc.man
-
-.if ${PORT_OPTIONS:MHTML}
-XML_USED=	yes
-.endif
-.if defined(XML_NEEDED) && ${PORT_OPTIONS:MXML}
-XML_USED=	yes
-.endif
-.else 	# ! DOCS
+.else 	# ! INSTALL_DOCS
 post-patch::
+.if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
+	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-nodoc-mailbox-contrib
+.else
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-nodoc-contrib
-.endif # ! DOCS
+.endif
+.endif # ! INSTALL_DOCS
 
 .if ${XML_USED} == yes
 BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
@@ -457,7 +467,7 @@ pre-install:
 
 post-install:
 	${INSTALL_DATA} ${WRKSRC}/doc/Muttrc ${PREFIX}/etc/Muttrc.dist
-.if ${PORT_OPTIONS:MDOCS}
+.if ${INSTALL_DOCS} == yes
 	@${ECHO} "===>   Installing Mutt documentation"
 	@${MKDIR} ${DOCSDIR} && ${CHMOD} a+rx ${DOCSDIR}
 	@cd ${WRKSRC}/doc ; ${INSTALL_MAN} manual.txt PGP-Notes.txt \

Modified: head/mail/mutt/files/extra-patch-nodoc-contrib
==============================================================================
--- head/mail/mutt/files/extra-patch-nodoc-contrib	Wed Apr 24 17:28:01 2013	(r316456)
+++ head/mail/mutt/files/extra-patch-nodoc-contrib	Wed Apr 24 17:33:29 2013	(r316457)
@@ -9,12 +9,12 @@
  
  bin_SCRIPTS = muttbug flea @SMIMEAUX_TARGET@
  
---- doc/Makefile.am.orig	2008-05-19 19:43:38.000000000 +0200
-+++ doc/Makefile.am	2008-05-19 19:45:35.000000000 +0200
-@@ -60,14 +60,6 @@
+--- doc/Makefile.am.orig	2013-04-22 10:10:43.000000000 +0200
++++ doc/Makefile.am	2013-04-22 10:11:30.000000000 +0200
+@@ -57,14 +57,6 @@
+ 	test x@DOTLOCK_TARGET@ = x || ./instdoc $(srcdir)/dotlock.man \
+ 		$(DESTDIR)$(mandir)/man1/mutt_dotlock.1
  	./instdoc muttrc.man $(DESTDIR)$(mandir)/man5/muttrc.5
- 	./instdoc $(srcdir)/mbox.man $(DESTDIR)$(mandir)/man5/mbox.5
- 	./instdoc $(srcdir)/mmdf.man $(DESTDIR)$(mandir)/man5/mmdf.5
 -	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(docdir)
 -	for f in $(topsrcdir_DOCFILES) ; do \
 -		$(INSTALL) -m 644 $(top_srcdir)/$$f $(DESTDIR)$(docdir) ; \

Added: head/mail/mutt/files/extra-patch-nodoc-mailbox-contrib
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/mutt/files/extra-patch-nodoc-mailbox-contrib	Wed Apr 24 17:33:29 2013	(r316457)
@@ -0,0 +1,28 @@
+--- Makefile.am.orig	Fri Feb 11 14:54:08 2005
++++ Makefile.am	Fri Feb 11 14:55:33 2005
+@@ -10,7 +10,7 @@
+ IMAP_INCLUDES = -I$(top_srcdir)/imap
+ endif
+ 
+-SUBDIRS = m4 po intl contrib $(IMAP_SUBDIR) . doc
++SUBDIRS = m4 po intl $(IMAP_SUBDIR) . doc
+ 
+ bin_SCRIPTS = muttbug flea @SMIMEAUX_TARGET@
+ 
+--- doc/Makefile.am.orig	2008-05-19 19:43:38.000000000 +0200
++++ doc/Makefile.am	2008-05-19 19:45:35.000000000 +0200
+@@ -60,14 +60,6 @@
+ 	./instdoc muttrc.man $(DESTDIR)$(mandir)/man5/muttrc.5
+ 	./instdoc $(srcdir)/mbox.man $(DESTDIR)$(mandir)/man5/mbox.5
+ 	./instdoc $(srcdir)/mmdf.man $(DESTDIR)$(mandir)/man5/mmdf.5
+-	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(docdir)
+-	for f in $(topsrcdir_DOCFILES) ; do \
+-		$(INSTALL) -m 644 $(top_srcdir)/$$f $(DESTDIR)$(docdir) ; \
+-	done
+-	for f in $(srcdir_DOCFILES) ; do \
+-		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
+-	done
+-	-$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir)
+ 	$(INSTALL) -m 644 Muttrc $(DESTDIR)$(sysconfdir)/Muttrc.dist
+ 	-if [ -f $(DESTDIR)$(pkgdatadir)/Muttrc ] ; then \
+ 		mv $(DESTDIR)$(pkgdatadir)/Muttrc* $(DESTDIR)$(sysconfdir) ; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 koukopoulos 2013-04-24 20:33:42 UTC
thank you!